=head1 NAME

Glib::Param::UInt

=cut

=head1 HIERARCHY

  Glib::ParamSpec
  +----Glib::Param::UInt



=cut

=for object Glib::Param::UInt

=head1 DESCRIPTION

This page documents the extra accessors available for all of the unsigned
integer type paramspecs: UChar, UInt, and ULong.  Perl really only supports
full-size integers, so all of these methods return UVs; the distinction of
integer size is important to the underlying C library and also determines the
data value range.

=head1 HIERARCHY

  Glib::ParamSpec
  +----Glib::Param::UChar

  Glib::ParamSpec
  +----Glib::Param::UInt

  Glib::ParamSpec
  +----Glib::Param::ULong

=cut




=head1 METHODS

=head2 unsigned = $pspec-E<gt>B<get_default_value> 

=head2 unsigned = $pspec-E<gt>B<get_maximum> 

=head2 unsigned = $pspec-E<gt>B<get_minimum> 



=cut


=head1 SEE ALSO

L<Glib>, L<Glib::ParamSpec>, L<Glib::ParamSpec>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2009 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Glib> for a full notice.



=cut

